package com.bohuikeji.frame.module.admin.base;

public abstract class PageTemplateBase extends SuperBase{
    /**
     * 模板号，用于标识每一次创建的页面模板对象
     */
    protected String templateCode;
    public PageTemplateBase(){
        templateCode="tpl_"+this.hashCode();
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public PageTemplateBase setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
        return this;
    }
}
